Package org.eclipse.team.core.synchronize

# Interface ISyncInfoSetChangeEvent

All Known Subinterfaces:
  `ISyncInfoTreeChangeEvent`

All Known Implementing Classes:
  `SyncInfoSetChangeEvent`

public interface ISyncInfoSetChangeEvent
An event generated when a `SyncInfoSet` collection is changed. The event contains a description of the changes which include added, changed and removed resources. In some cases, (e.g. when the change is too complicated to be efficiently described using the mechanisms provided by this interface) the event will be a reset. In these cases, the client should ignore any other contents of the event and recalculate from scratch any state that is derived from the `SyncInfoSet` from which the event originated.

The mix of return types, `SyncInfo` and `IResource`is required as a result of an optimization included in `SyncInfoSet` collections that doesn't maintain `SyncInfo` objects for in-sync resources.

Since:
  3.0
See Also:
  - `SyncInfoSet.addSyncSetChangedListener(ISyncInfoSetChangeListener)`
  - `ISyncInfoSetChangeListener`

## Method Summary

Modifier and Type
Method
Description
`SyncInfo[]`
`getAddedResources()`
Returns newly added out-of-sync `SyncInfo` elements.
`SyncInfo[]`
`getChangedResources()`
Returns changed `SyncInfo` elements.
`IResource[]`
`getRemovedResources()`
Returns the removed `IResource` elements for which the set no longer contains on out-of-sync `SyncInfo`.
`SyncInfoSet`
`getSet()`
Returns the `SyncInfoSet` that generated these events.

## Method Details

### getAddedResources

SyncInfo[] getAddedResources()
Returns newly added out-of-sync `SyncInfo` elements.

Returns:
  newly added `SyncInfo` elements or an empty list if this event doesn't contain added resources.

### getChangedResources

SyncInfo[] getChangedResources()
Returns changed `SyncInfo` elements. The returned elements are still out-of-sync.

Returns:
  changed `SyncInfo` elements or an empty list if this event doesn't contain changes resources.

### getRemovedResources

IResource[] getRemovedResources()
Returns the removed `IResource` elements for which the set no longer contains on out-of-sync `SyncInfo`. The returned elements are all in-sync resources.

Returns:
  removed `SyncInfo` elements or an empty list if this event doesn't contain removed resources.

### getSet

SyncInfoSet getSet()
Returns the `SyncInfoSet` that generated these events.

Returns:
  the `SyncInfoSet` that generated these events.